Subject: Re: Starting .exe: DOS prompt OK, double-click not
From: Michael Pierce <[email-masked]>
To: [email-masked]
Date: 24 Mar 2003 11:39:36 -0800

On Mon, 2003-03-24 at 06:35, Kodaj Bence wrote:
> > > "/cygdrive/c/OurAppFolder/OurScript.tcl": no such file or directory
> >    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > This is a POSIX path.
> > You can translate it to a Windows path using the Cygwin API call 
> > cygwin_conv_to_win32_path
> 
> Thanks for the tip, but I'm not sure this is the solution. There's a point 
> that I might not have made clear enough in my previous posting:
> 
> =============================================
> Everything's fine when I start OurApp.exe from a DOS prompt.
> =============================================
> 
> Now, OurApp.exe invokes wish like this:
> 
>   execlp( "wish", "wish", "./OurScript.tcl" , ...);
> 
> My question is: why does this call work in the "DOS-prompt mode", and 
> why doesn't it work in "double-click mode"? Let me emphasize again 
> that wish is invoked _in the same way_ in both cases.
> 
> Bence Kodaj
> 
have you tried creating a shortcut for the application, *and* specifying
the path in the start in location?

-- 
Michael [email-masked]
http://www.strange1.net
GPG ID:1D630EF7

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/